# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
%YAML 1.2
---
$id: http://devicetree.org/schemas/arm/ti/k3.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Texas Instruments K3 Multicore SoC architecture

maintainers:
  - Nishanth Menon <nm@ti.com>

description: |
  Platforms based on Texas Instruments K3 Multicore SoC architecture
  shall have the following properties.

properties:
  $nodename:
    const: '/'
  compatible:
    oneOf:

      - description: K3 AM62A7 SoC
        items:
          - enum:
              - ti,am62a7-sk
          - const: ti,am62a7

      - description: K3 AM625 SoC PHYTEC phyBOARD-Lyra
        items:
          - const: phytec,am625-phyboard-lyra-rdk
          - const: phytec,am62-phycore-som
          - const: ti,am625

      - description: K3 AM625 SoC
        items:
          - enum:
              - beagle,am625-beagleplay
              - ti,am625-sk
              - ti,am62-lp-sk
          - const: ti,am625

      - description: K3 AM62x SoC Toradex Verdin Modules and Carrier Boards
        items:
          - enum:
              - toradex,verdin-am62-nonwifi-dahlia # Verdin AM62 Module on Dahlia
              - toradex,verdin-am62-nonwifi-dev    # Verdin AM62 Module on Verdin Development Board
              - toradex,verdin-am62-nonwifi-yavia  # Verdin AM62 Module on Yavia
          - const: toradex,verdin-am62-nonwifi     # Verdin AM62 Module without Wi-Fi / BT
          - const: toradex,verdin-am62             # Verdin AM62 Module
          - const: ti,am625

      - description: K3 AM62x SoC Toradex Verdin Modules and Carrier Boards with Wi-Fi / BT
        items:
          - enum:
              - toradex,verdin-am62-wifi-dahlia # Verdin AM62 Wi-Fi / BT Module on Dahlia
              - toradex,verdin-am62-wifi-dev    # Verdin AM62 Wi-Fi / BT M. on Verdin Development B.
              - toradex,verdin-am62-wifi-yavia  # Verdin AM62 Wi-Fi / BT Module on Yavia
          - const: toradex,verdin-am62-wifi     # Verdin AM62 Wi-Fi / BT Module
          - const: toradex,verdin-am62          # Verdin AM62 Module
          - const: ti,am625

      - description: K3 AM642 SoC
        items:
          - enum:
              - ti,am642-evm
              - ti,am642-sk
          - const: ti,am642

      - description: K3 AM642 SoC PHYTEC phyBOARD-Electra
        items:
          - const: phytec,am642-phyboard-electra-rdk
          - const: phytec,am64-phycore-som
          - const: ti,am642

      - description: K3 AM654 SoC
        items:
          - enum:
              - siemens,iot2050-advanced
              - siemens,iot2050-advanced-m2
              - siemens,iot2050-advanced-pg2
              - siemens,iot2050-basic
              - siemens,iot2050-basic-pg2
              - ti,am654-evm
          - const: ti,am654

      - description: K3 J7200 SoC
        oneOf:
          - const: ti,j7200
          - items:
              - enum:
                  - ti,j7200-evm
              - const: ti,j7200

      - description: K3 J721E SoC
        oneOf:
          - const: ti,j721e
          - items:
              - enum:
                  - beagle,j721e-beagleboneai64
                  - ti,j721e-evm
                  - ti,j721e-sk
              - const: ti,j721e

      - description: K3 J721s2 SoC
        items:
          - enum:
              - ti,am68-sk
              - ti,j721s2-evm
          - const: ti,j721s2

      - description: K3 J784s4 SoC
        items:
          - enum:
              - ti,am69-sk
              - ti,j784s4-evm
          - const: ti,j784s4

additionalProperties: true

...
